local _G = _G
local format, unpack, string = format, unpack, string
local CM = ChatMonitor
CM.skinned = {}

function CM:Skin(frame)
	if not IsAddOnLoaded("ElvUI") then return end
	if CM.db.profile.noskin then return end
	if not CM.skinned[frame:GetName()] then
		CM:LoadElvSkin(frame)
		CM.skinned[frame:GetName()] = true
	end
end

function CM:LoadElvSkin(frame)
	local E, L, V, P, G, _ = unpack(ElvUI)
	local S = E:GetModule("Skins")

	if E.private.skins.blizzard.enable ~= true or E.private.skins.blizzard.macro ~= true then return end

	if frame == ChatMonitorMain then	
		S:HandleScrollBar(ChatMonitorSlider)
		ChatMonitorMain:StripTextures()
		ChatMonitorMain:SetTemplate("Transparent")
	end
end